# wire.js reference

1. [Introduction](introduction.md)
	1. [Features](introduction.md#features)
	1. [Examples](introduction.md#example-apps)
1. [Getting wire.js](get.md)
1. [Understanding the Concepts](concepts.md)
	1. [Inversion of Control](concepts.md#inversion-of-control)
	1. [Dependency Inversion](concepts.md#dependency-inversion)
	1. [Application composition](concepts.md#application-composition)
	1. [Wire-specific concepts](concepts.md#wire-concepts)
1. [Using wire.js](wire.md)
	1. [As a module](wire.md#module)
	1. [As an AMD plugin](wire.md#amd-plugin)
	1. [As a factory](wire.md#factory)
	1. [By injecting wire](wire.md#injecting-wire)
1. [Creating components](components.md)
	1. [Simple types](components.md#simple-types)
	1. [Application components](components.md#application-components)
	1. [Built-in factories](components.md#built-in-factories)
1. [Configuring components](configure.md)
	1. [Properties](configure.md#properties)
	1. [Init methods](configure.md#init-methods)
	1. [Ready methods](configure.md#ready-methods)
	1. [Destroy methods](configure.md#destroy-methods)
1. [Connecting components](connections.md)
	1. [Dependency Injection](connections.md#dependency-injection)
	1. [DOM events](connections.md#dom-events)
	1. [Javascript to Javascript](connections.md#javascript-to-javascript)
	1. [Aspect Oriented Programming (AOP)](connections.md#aspect-oriented-programming-aop)
	1. [Promise-aware AOP](connections.md#promise-aware-aop)
	1. [Transform connections](connections.md#transform-connections)
1. [Working with functions](functions.md)
	1. [Functions as components](functions.md#functions-as-components)
	1. [Injecting functions](functions.md#injecting-functions)
	1. [Connecting to functions](functions.md#connecting-to-functions)
	1. [Transform connections](functions.md#transform-connections)
1. [Working with the DOM](dom.md)
	1. [Querying the DOM](dom.md#querying-the-dom)
	1. [Cloning DOM nodes](dom.md#cloning-dom-nodes)
	1. [Inserting DOM nodes](dom.md#inserting-dom-nodes)
	1. [Connecting DOM events](dom.md#connecting-dom-events)
	1. [Rendering DOM elements](dom.md#rendering-dom-elements)
	1. [Notes on DOMReady](dom.md#notes-on-domready)
1. [Extending wire.js with plugins](plugins.md)
	1. [Using plugins](plugins.md#using-plugins)
	1. [Authoring plugins](plugins.md#authoring-plugins)
1. Integrating with third-party libraries
	1. [jQuery](jquery.md)
